Last Comment Bug 757920 - Fennec causes Adreno 200 devices (HTC Desire with Android 2.2) to reboot with casual browsing
: Fennec causes Adreno 200 devices (HTC Desire with Android 2.2) to reboot with...
Status: REOPENED
[gfx], [SUMO]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: -- critical with 3 votes (vote)
: ---
Assigned To: Jeff Muizelaar [:jrmuizel]
:
Mentors:
: 768412 768522 770161 (view as bug list)
Depends on:
Blocks: 742701
  Show dependency treegraph
 
Reported: 2012-05-23 11:19 PDT by Lawrence Mandel [:lmandel] (use needinfo)
Modified: 2016-07-29 14:25 PDT (History)
37 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
wontfix
-
-


Attachments
Screenshot of about: loaded, no content (23.93 KB, image/png)
2012-05-24 11:01 PDT, Lawrence Mandel [:lmandel] (use needinfo)
no flags Details
logcat of loading about: (3.59 KB, text/plain)
2012-05-24 11:01 PDT, Lawrence Mandel [:lmandel] (use needinfo)
no flags Details
Screenshot of mozilla.org loaded, no content (23.96 KB, image/png)
2012-05-24 11:02 PDT, Lawrence Mandel [:lmandel] (use needinfo)
no flags Details
logcat of loading mozilla.org (7.61 KB, text/plain)
2012-05-24 11:02 PDT, Lawrence Mandel [:lmandel] (use needinfo)
no flags Details
catlog of session for condition described in comment 0 (96.94 KB, text/plain)
2012-05-24 20:29 PDT, Lawrence Mandel [:lmandel] (use needinfo)
no flags Details
Register dump when hangs happens (4.23 KB, patch)
2012-06-05 11:15 PDT, Jeff Muizelaar [:jrmuizel]
no flags Details | Diff | Splinter Review

Description Lawrence Mandel [:lmandel] (use needinfo) 2012-05-23 11:19:01 PDT
In casual browsing on an HTC Desire (Android 2.2) Fennec Beta 2 has crashed the phone many times. The browser starts up fast enough and is responsive for a short while (few mins max) until it locks up the phone to the point where no buttons are responsive. The phone subsequently reboots.

This seems to be reliably reproducible on http://mobile.aritzia.com/blog.

Note: I have no such issue with the same sites on a Samsung Galaxy S2 with ICS.
Comment 1 Aaron Train [:aaronmt] 2012-05-23 20:06:16 PDT
Show me tomorrow
Comment 2 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-24 11:00:29 PDT
I reset another HTC Desire that I have to factory defaults. Reinstalled Firefox Beta and cannot reproduce the issue as I described it in comment 0. However, on this device with very limited storage space, when I fill the onboard storage space until there are a couple of megs left and run Firefox it crashes consistently or otherwise behaves oddly
- takes a long time to finish loading about: at which point the page may remain blank
- other pages remain blank (no content shown) even though page loading shows to be complete (no throbber)
Comment 3 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-24 11:01:07 PDT
Created attachment 626882 [details]
Screenshot of about: loaded, no content
Comment 4 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-24 11:01:34 PDT
Created attachment 626883 [details]
logcat of loading about:
Comment 5 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-24 11:02:04 PDT
Created attachment 626884 [details]
Screenshot of mozilla.org loaded, no content
Comment 6 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-24 11:02:29 PDT
Created attachment 626885 [details]
logcat of loading mozilla.org
Comment 7 Aaron Train [:aaronmt] 2012-05-24 11:04:24 PDT
My guess is that this is bug 754257? Able to show Benoit?
Comment 8 Aaron Train [:aaronmt] 2012-05-24 11:10:22 PDT
Kevin does your Desire also do this?
Comment 9 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-24 11:24:01 PDT
(In reply to Aaron Train [:aaronmt] from comment #7)
> My guess is that this is bug 754257? Able to show Benoit?

This looks to be bug 754257. I'll leave this open until I can test again on my wife's phone tonight to see if I can repro the original problem that I reported.
Comment 10 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-24 20:29:34 PDT
Created attachment 627083 [details]
catlog of session for condition described in comment 0

I can reliably reproduce the issue that I described in comment 0. I have attached a catlog of the session while browsing and crashing. The new result of this issue is that the phone crashes while browsing a page from the Old Navy site.
Comment 11 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-24 20:31:01 PDT
The last line of my preview comment should read "The net result..." Nothing new here except the log.
Comment 12 Kartikaya Gupta (email:kats@mozilla.com) 2012-05-24 22:12:30 PDT
Seems like more Adreno issues. Log has this error:

05-24 23:23:02.046: E/Adreno200-ES20(647): gsl_device_waittimestamp failed in rb_timestamp_wait_on_timestamp

followed by a whole lotta this:

05-24 23:23:03.911: W/SharedBufferStack(647): waitForCondition(LockCondition) timed out (identity=19, status=0). CPU may be pegged. trying again.

CC'ing some gfx folks.
Comment 13 Lawrence Mandel [:lmandel] (use needinfo) 2012-05-25 10:59:38 PDT
Repro steps on my phone:

1. Open oldnavy.com
2. Select Women->Show Our Favorites->New Arrivals
3. Scroll down on page quickly. If you get to the bottom of the page without the phone freezing all input, pick another page and repeat until it does.
Comment 14 Benoit Girard (:BenWa) 2012-05-29 15:14:34 PDT
This looks like an Android deadlock:
http://code.google.com/p/android/issues/detail?id=20833
Comment 15 Benoit Girard (:BenWa) 2012-05-29 15:34:18 PDT
I'm not confident we will be able to get a solution for this bug but I will continue to try.

There is a discussing to use glFinish in that bug. It appears to reduce the occurrence of the problem but it does not feel like a real solution.

Jeff suggest detecting when we are hung and kill ourselves. It's not clear to me if that will let us recover from the deadlock.
Comment 16 Jeff Muizelaar [:jrmuizel] 2012-05-29 19:33:31 PDT
Perhaps related is this fix in 2.3:

https://github.com/android/platform_frameworks_base/commit/1b4ecc63c4eceb7c125d4e749fd5f747d99d6ec6
Comment 17 Benoit Girard (:BenWa) 2012-05-29 21:55:05 PDT
In the past Ali had found that disabling the GL animated background on some phones made the reboot problem go away. This is similar to the description here except that it says that they must be in the same process. I believe the problem we're seeing may be a more general deadlock while switching between two context in general.

I'll take a look if other deadlock/GL related fixes have landed.
Comment 18 Benoit Girard (:BenWa) 2012-06-01 17:09:02 PDT
I don't believe there is much progress that can be made in this bug as this looks to be a OS deadlock. For now I'm focus my efforts on the flash corruption bug.
Comment 19 Jeff Muizelaar [:jrmuizel] 2012-06-05 11:15:15 PDT
Created attachment 630232 [details] [diff] [review]
Register dump when hangs happens

So when this hang happens the GPU or driver is somewhat upset about the current state of things and dumps the following registers.
Comment 20 Joe Drew (not getting mail) 2012-06-05 19:47:54 PDT
I mistook Jeff using the HTC Desire today as him using the HTC One S.

I'm renomming because we haven't seen this on a lot of devices, so it might not need to block. (It's possible that this is an Android 2.2-only issue, if comment 16 is correct.)

I'm adding qawanted to see if a) QA can repro with STR from comment 13 on their Desires and b) whether QA can repro with STR from comment 13 on other Adreno devices.
Comment 21 Jeff Muizelaar [:jrmuizel] 2012-06-05 20:10:06 PDT
Here's my understanding of what's happening:
 - We get an 'opcode error' ringbuffer interrupt
 - This is a fatal error and causes us to afaict turn off interrupts effectively disabling the GPU.
 - surfaceflinger waits for the GPU, but it never comes back and eventually the watchdog reboots the phone.

We do seem to be causing the opcode error, but it's not clear how or why. It's the userspace driver's job to prevent this so we must be tickling a bug somehow. Figuring out what's causing this is probably possible but is a large amount of work. Before, we proceed with that work we need to figure out how common this problem is and whether it's worth trying to work around.
Comment 22 Lawrence Mandel [:lmandel] (use needinfo) 2012-06-05 22:11:54 PDT
This issue causes Firefox to be unusable on the HTC Desire. I say unusable as best case I can get several minutes of usage before my phone becomes unresponsive and subsequently reboots. Note that although in comment 13 I provide reproduction steps that include a specific site I can reproduce this issue with multiple sites.

I would suggest that if this problem cannot be fixed that we should consider blocking the use of Firefox on this device (if this is possible).
Comment 23 Adrian Tamas (:AdrianT) 2012-06-06 00:12:16 PDT
I was able to reproduce the issue on Nightly 16.0a1 2012-06-05 on HTC Desire running Android 2.2 using the steps in comment 13 but using engadget.com as the web page. Also while running normal, daily testing I am seeing a lot of device freezes with 4-5 tabs opened and scrolling fast on pages with a lot of content. The issue has been reported before in Bug 751073. I am not able to reproduce with the original STR of Bug 751073 but the freezes still occur and, if the phone is left idle, an eventual restart. I believe this is a dupe of the bug.

I have tried to replicate the issue on an HTC Desire Z running Android 2.3.3 but I was unable to.
Comment 24 JP Rosevear [:jpr] 2012-06-20 16:06:39 PDT
We talked about blocking the HTC Desire in bug 742701, did we?
Comment 25 Alex Keybl [:akeybl] 2012-06-20 17:11:19 PDT
(In reply to JP Rosevear [:jpr] from comment #24)
> We talked about blocking the HTC Desire in bug 742701, did we?

https://bugzilla.mozilla.org/show_bug.cgi?id=742701#c31 suggests that we'd make this hardware unsupported (although this bug is specifically noted as a driver). Bug 764518 would prevent users from installing Fennec Native in that case, if it doesn't meet our minimum system requirements.

Irina notes in https://bugzilla.mozilla.org/show_bug.cgi?id=742701#c32 that it'd be good to have a plan moving forward for supporting the Desire, however, based upon the user population.

For history's sake, we did block the HTC desire for beta 1 in bug 755073 due to white pages being rendered, and unblocked for beta 2 in bug 755894.
Comment 26 JP Rosevear [:jpr] 2012-06-20 20:53:49 PDT
Ok, nommed to get clarity on the blocking issue.
Comment 27 Brad Lassey [:blassey] (use needinfo?) 2012-06-21 11:46:00 PDT
marking as a release blocker to get a call from product on whether or not to block this device
Comment 28 Johnathan Nightingale [:johnath] 2012-06-22 11:50:24 PDT
This phone is below our minimum specs - wontfix
Comment 29 Aaron Train [:aaronmt] 2012-06-26 06:26:20 PDT
*** Bug 768412 has been marked as a duplicate of this bug. ***
Comment 30 Aaron Train [:aaronmt] 2012-06-26 07:23:22 PDT
*** Bug 768412 has been marked as a duplicate of this bug. ***
Comment 31 Matt Brubeck (:mbrubeck) 2012-06-26 08:43:13 PDT
(In reply to Johnathan Nightingale [:johnath] from comment #28)
> This phone is below our minimum specs

(In reply to Aaron Train [:aaronmt] from bug 768412 comment 1)
> Unfortunately this phone is below our minimum supported requirements.

That's not accurate, is it?  This phone meets our stated RAM, CPU, storage, and OS requirements.  We're just manually blocking it because of this rebooting bug, right?
Comment 32 Helder Meneses 2012-06-26 09:12:46 PDT
really sad to see a solution named wontfix...

i have htc desire with android 2.3, and tried all official versions and none would run with minimum speed to use at all.

is this going to be resolved?

strange to see a problem in firefox only, when there is opera, dolphin, ucbrowser, etç, running so well...

saying that the problem is in android is...well...sad...
Comment 33 Aaron Train [:aaronmt] 2012-06-26 09:33:18 PDT
Sounds like the phone should not be blocked based on spec but because of this bug.

About this bug: 

Do we even still know if recent builds are triggering reboots?

If not, I recommend we not block the device
Comment 34 Jeff Muizelaar [:jrmuizel] 2012-06-26 09:51:15 PDT
(In reply to Aaron Train [:aaronmt] from comment #33)
> Sounds like the phone should not be blocked based on spec but because of
> this bug.
> 
> About this bug: 
> 
> Do we even still know if recent builds are triggering reboots?

We should probably retest.
Comment 35 Kevin Brosnan [:kbrosnan] 2012-06-26 10:00:19 PDT
*** Bug 768412 has been marked as a duplicate of this bug. ***
Comment 36 skalala 2012-06-26 10:40:05 PDT
No problem on HTC Desire on ICS 4.0.4 with fennec-16.0a1.multi.android-arm.apk
i tried reproduce comment #13 steps sereval times but it didn't freeze
Comment 37 Kevin Brosnan [:kbrosnan] 2012-06-26 11:46:05 PDT
*** Bug 768412 has been marked as a duplicate of this bug. ***
Comment 38 damienhardy.bal+moz 2012-06-26 14:01:33 PDT
Just tried nightly as suggested in http://www.geckozone.org/forum/viewtopic.php?f=32&t=106324 casual browsing was OK and then wanted to test http://mobile.aritzia.com/blog and http://engadget.com and it crashed (and sent bug report for the occasion).

But only Nightly is affected, just asking for restart the application. No reboot for android or whatever.

HTC Desire, android 2.3 (Cyanogenmod 7.1)
Comment 39 j.4 2012-06-27 02:23:58 PDT
Hello!

I just realised, that Firefox 14 and beta are blocked on HTC Desire. 
I am running the latest Oxygen ROM (Android 2.3, www.oxygen.im) and Firefox Beta worked very fast, stable and there were no rendering issues or crashes.
Thanks to this bug (which does not affect me) I am even not able to see Firefox in the Play Store any more and of course I can't install/upgrade it. This is just annoying, as I just wanted to use the stable build again.

Is there a possibility to just block the Stock ROM on the Desire, but not custom roms like Oxygen or Cyanogenmod? I would appreciate it. And if it is not possible, please unblock the Desire... people will anyway figure out if the App works for them or not. It should be the _users decision_ to install and use a program.
Comment 40 folg 2012-06-27 04:28:08 PDT
Hello,

I try the french release available here : 
ftp://ftp.mozilla.org/pub/mobile/releases/14.0/android/
and I don't see any bug.

I use cyanogenmod 7.2.0.1 on a HTC Desire.
Comment 41 skalala 2012-06-27 05:45:41 PDT
(In reply to j.4 from comment #39)
> Hello!
> 
> I just realised, that Firefox 14 and beta are blocked on HTC Desire. 
> I am running the latest Oxygen ROM (Android 2.3, www.oxygen.im) and Firefox
> Beta worked very fast, stable and there were no rendering issues or crashes.
> Thanks to this bug (which does not affect me) I am even not able to see
> Firefox in the Play Store any more and of course I can't install/upgrade it.
> This is just annoying, as I just wanted to use the stable build again.
> 
> Is there a possibility to just block the Stock ROM on the Desire, but not
> custom roms like Oxygen or Cyanogenmod? I would appreciate it. And if it is
> not possible, please unblock the Desire... people will anyway figure out if
> the App works for them or not. It should be the _users decision_ to install
> and use a program.

Bad idea, i think it's bad for the product public image if it doesn't work.
I think it's a better idea that people which have a "not really supported device" figure out how install fennec on the device anyway than use the official way of distribution.
Comment 42 Aaron Train [:aaronmt] 2012-06-27 07:30:29 PDT
Re-opening for discussion here
Comment 43 j.4 2012-06-27 08:11:44 PDT
(In reply to skalala from comment #41)
> (In reply to j.4 from comment #39)
> > Hello!
> > 
> > I just realised, that Firefox 14 and beta are blocked on HTC Desire. 
> > I am running the latest Oxygen ROM (Android 2.3, www.oxygen.im) and Firefox
> > Beta worked very fast, stable and there were no rendering issues or crashes.
> > Thanks to this bug (which does not affect me) I am even not able to see
> > Firefox in the Play Store any more and of course I can't install/upgrade it.
> > This is just annoying, as I just wanted to use the stable build again.
> > 
> > Is there a possibility to just block the Stock ROM on the Desire, but not
> > custom roms like Oxygen or Cyanogenmod? I would appreciate it. And if it is
> > not possible, please unblock the Desire... people will anyway figure out if
> > the App works for them or not. It should be the _users decision_ to install
> > and use a program.
> 
> Bad idea, i think it's bad for the product public image if it doesn't work.
> I think it's a better idea that people which have a "not really supported
> device" figure out how install fennec on the device anyway than use the
> official way of distribution.

The avoidance of the public image is a fair argument, but in this case it should be easy to grab the compiled app somewhere to install it on "unsupported" devices at your own risk.
At the moment is no direct download link at either http://www.mozilla.org/m nor here: https://wiki.mozilla.org/Mobile/Platforms/Android#System_Requirements
You have to search the mozilla ftp server to get an apk file (Additionally without market there will be no automatic updates, too).
My suggestion would be: Block whatever device is not working perfectly, but give the user a easy possibility to get this awesome piece of software and decide for him/herself if it works on his/her device (e.g. in providing a direct download link for unsupported devices together with a warning).
Comment 44 Irina Sandu 2012-06-27 08:25:18 PDT
There are more than 6 million units of this model in market, making it a top device, so we should look into fixing this issue so that we can support them.
Comment 45 Matt Brubeck (:mbrubeck) 2012-06-27 08:29:24 PDT
(In reply to j.4 from comment #43)
> At the moment is no direct download link at either http://www.mozilla.org/m
> nor here:
> https://wiki.mozilla.org/Mobile/Platforms/Android#System_Requirements

There are several links on that second wiki page to download APK files directly from our FTP servers.
Comment 46 Matt Brubeck (:mbrubeck) 2012-06-27 08:37:48 PDT
(In reply to Matt Brubeck (:mbrubeck) from comment #45)
> There are several links on that second wiki page to download APK files
> directly from our FTP servers.

And I've just edited the page to make these links more prominent.
Comment 48 Aaron Train [:aaronmt] 2012-06-27 08:59:10 PDT
*** Bug 768522 has been marked as a duplicate of this bug. ***
Comment 49 Matt Brubeck (:mbrubeck) 2012-06-27 09:03:01 PDT
(In reply to Scoobidiver from comment #47)
> HTC Desire is still declared as supported and tested in
> https://support.mozilla.org/en-US/kb/will-firefox-work-my-mobile-
> device#os=android&browser=m14

I submitted a revision to the SUMO article:
https://support.mozilla.org/en-US/kb/will-firefox-work-my-mobile-device/revision/26805
Comment 50 Alex Keybl [:akeybl] 2012-06-27 12:08:42 PDT
Adding qawanted. Also tracking for FF15, since that feels like the right timeline to fix a bug in such a highly used device.

Aaron - can you take a look at the experience on the HTC Desire? We'd like some exploratory testing to see if this (and the blank pages issue) still occurs with 14.0, and with what frequency. Please file bugs for any other issues you find as well :)
Comment 51 Aaron Train [:aaronmt] 2012-06-27 12:56:15 PDT
re comment #50, Lawrence and Kevin are the ones with the device in hand
Comment 52 Lawrence Mandel [:lmandel] (use needinfo) 2012-06-27 12:59:33 PDT
(In reply to Aaron Train [:aaronmt] from comment #51)
> re comment #50, Lawrence and Kevin are the ones with the device in hand

I gave my phone to jrmuizel for diagnosis. You're welcome to use it too.
Comment 53 Aaron Train [:aaronmt] 2012-06-27 18:25:46 PDT
I missed the triage call on this one but do we really want to punt to 15 here, or should we unblock the device in the meantime post some recent build assessment the device?
Comment 54 Mark Finkle (:mfinkle) (use needinfo?) 2012-06-29 11:45:52 PDT
Nothing we can do for 14.0.1
Comment 55 Kevin Brosnan [:kbrosnan] 2012-07-02 11:11:14 PDT
*** Bug 770161 has been marked as a duplicate of this bug. ***
Comment 56 dodgyville+bugzilla 2012-07-03 00:08:31 PDT
Hi, I have been using the superb firefox betas with no problems on my HTC Desire w/ ICS (android 4.0.1 - 4.0.3) daily for months. In fact, I made it my primary browser a few weeks ago. I just upgraded my ROM and went to reinstall but the app is no longer listed in the play store for me (I might try the direct apk install I guess). 

Thought I would drop a line to say how much I appreciate fennec and also that there probably a lot of people running rooted HTC Desires unnecessarily affected by this change - in fact, given that custom ROM users are probably more likely to install a 3rd party browser than non-custom ROM users, this change probably has a disproportionate effect on people who weren't experiencing the bug at all (since they're on android 4.0+).
Comment 57 gopher1369 2012-07-03 01:46:11 PDT
Agreed with the above, I've been running Firefox 14 Beta on my HTC Desire for several weeks now without any problems whatsoever. In fact I love it and it's replaced the stock browser for me. Currently using Cyanogenmod 7.2 which is based on Android 2.3. I've also tested it using the "ICS For Desire" ROM based on Android 4.0.4 and runs absolutley perfectly for me on both.

If it's a bug in Android 2.2 + Adreno drivers then can we not just block all users using HTC Desires with 2.2 installed?

As an aside, I've noticed that the Google Nexus One is still listed as a supported device, but it has the same hardware as the Desire.
Comment 58 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-07-03 06:49:46 PDT
Thanks dodgyville+bugzilla and gopher1369 for your feedback on the other OSes and your support.  Given that information, I think it might be a good indication that we could use a SUMO article about this.  Tagging as SUMO and cc'ing mluna
Comment 59 Jesper Kristensen 2012-07-03 12:17:29 PDT
I am also hit by this. Unlike the previous commenters, I use the Android version that my HTC Desire was delivered with (Android 2.2, HTC Sense etc.), and Firefox works great on it. I feel totally back in the old days when I would encounter a website with an error message saying i have to use IE, and then using User Agent Switcher, and the site worked just fine without a problem. Except I haven't found an easy to use UA switcher for the Play store yet.
Comment 60 Aaron Train [:aaronmt] 2012-07-03 12:49:43 PDT
(In reply to gopher1369 from comment #57)
> If it's a bug in Android 2.2 + Adreno drivers then can we not just block all
> users using HTC Desires with 2.2 installed?

Google Play does not let you fine tune such configurations by operating system version. The available selection is either block or not.
Comment 61 Michelle Luna 2012-07-03 16:25:17 PDT
I don't know what the documentation request is above, can someone explain to me what is needed or log into the http://support.mozilla.org/kb/new and create a draft of the content?
Comment 62 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-07-05 10:11:36 PDT
mluna: draft complete... https://support.mozilla.org/en-US/kb/fennec-may-cause-htc-desire-android-22-reboot-casu/history
Comment 63 Scoobidiver (away) 2012-07-05 10:25:41 PDT
The UA stuff isn't a workaround. It's only an analogy with a workaround to make websites properly display in the old days of Firefox (see comment 59).
This article only makes sense if the block is removed in Google Play.
Comment 64 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-07-05 11:25:43 PDT
Fair point about UA stuff, I wrote that in haste.

However, the article does still apply as people can download the build from our ftp site.
Comment 65 Scoobidiver (away) 2012-07-06 00:35:01 PDT
(In reply to Naoki Hirata :nhirata from comment #64)
> However, the article does still apply as people can download the build from
> our ftp site.
If you consider the ftp download (non market apps allowed on Android) is a valid way to install Firefox for Android, you should write SUMO documentation for every blocked devices.

If HTC Desire is unblocked in Google Play, may be a note about Android 2.2 in https://support.mozilla.org/en-US/kb/will-firefox-work-my-mobile-device is enough instead of a dedicated article.
Comment 66 Lawrence Mandel [:lmandel] (use needinfo) 2012-07-06 06:40:41 PDT
(In reply to Scoobidiver from comment #65)
> (In reply to Naoki Hirata :nhirata from comment #64)
> > However, the article does still apply as people can download the build from
> > our ftp site.
> If you consider the ftp download (non market apps allowed on Android) is a
> valid way to install Firefox for Android, you should write SUMO
> documentation for every blocked devices.

As Irina mentioned in comment 44, the HTC Desire is a top device. I can see your argument for every top blocked device but I don't think it's necessary or a good use of our time to document for every single blocked device.

> If HTC Desire is unblocked in Google Play, may be a note about Android 2.2
> in https://support.mozilla.org/en-US/kb/will-firefox-work-my-mobile-device
> is enough instead of a dedicated article.

AFAIK Android 2.2 is the latest official release for the HTC Desire. (It is for mine.) If we have data that shows that a large number of Desire owners have updated to a later version of Android then I think we should reconsider the block in Google Play. If not, I think the block is prudent as the majority of the owners of this phone are likely to encounter issues using Firefox. This not only will result in low ratings for Firefox but, more importantly, will deliver a poor experience to the users of this device.
Comment 67 Alexander L. Slovesnik 2012-07-06 07:11:50 PDT
(In reply to Lawrence Mandel [:lmandel] from comment #66)
> AFAIK Android 2.2 is the latest official release for the HTC Desire. (It is
> for mine.)

Actually HTC has released Gingerbread Update for Desire for certain markets. See https://www.facebook.com/note.php?note_id=225607660802056
................
Hey guys, we're happy to announce that Gingerbread for Desire is here! Please visit our Developer website to access the download. http://developer.htc.com
Please note that the following regional variants are not compatible with this upgrade: Germany (Telekom Deutschland), North America, South Korea and Japan.
................

http://www.htcdev.com/process/license_copy_gingerbread/ says:
................
On Exclusions: The following regional variants are not-compatible with this upgrade: Germany (Deutsch Telekom), North America, South America, South Korea, Japan, Turkey, and Arabic language speaking countries in the Middle East.
................

Is it possible to enable Firefox for HTC Desire on all markets but Germany (Deutsch Telekom), North America, South America, South Korea, Japan, Turkey, and Arabic language speaking countries in the Middle East on Google Play?
Comment 68 damienhardy.bal+moz 2012-07-06 07:22:27 PDT
Should be easier to enable for ( HTC Desire && android >= 2.3 )

Device capabilities must be a combination of Hardware + Software, IMO
Comment 69 gopher1369 2012-07-06 07:44:20 PDT
Alexander's comment is slightly misleading. The important information is "Hey guys, we're happy to announce that Gingerbread for Desire is here! Please visit our Developer website to access the download." 

To clarify this means that HTC never officially released a version of Gingerbread (2.3) for the HTC Desire. They made a version available to developers only via the HTC Developers website. This would require completely wiping your phone and manually locating, downloading and installing the ROM from htcdev.com. It is not something that an average user could do, or would ever even be aware existed. As per previous comments, it can safely be assumed that the vast majority of Desire users are running Froyo (2.2).
Comment 70 Jesper Kristensen 2012-07-07 07:53:52 PDT
(In reply to Lawrence Mandel [:lmandel] from comment #66)
> If not, I think the block is prudent as the
> majority of the owners of this phone are likely to encounter issues using
> Firefox.

Would you mind sharing your numbers on this?
Comment 71 Lawrence Mandel [:lmandel] (use needinfo) 2012-07-07 08:25:53 PDT
(In reply to Jesper Kristensen from comment #70)
> (In reply to Lawrence Mandel [:lmandel] from comment #66)
> > If not, I think the block is prudent as the
> > majority of the owners of this phone are likely to encounter issues using
> > Firefox.
> 
> Would you mind sharing your numbers on this?

I don't have any hard numbers on this. My statement is based on:
1. the reproducible failure that I reported in this bug using Firefox on the HTC Desire with Android 2.2 (diagnosed in comment 14 and comment 16 and confirmed in comment 23)
2. the understanding that Android 2.2 is the latest official release for this phone
3. the assumption that the mainstream consumer will not have updated their phone to a later Android version through an alternate mechanism

I don't have an explanation for why Firefox works on your Desire as you reported in comment 59. It reliably hangs and forces a reboot on mine and is reproducible in using multiple sites by others as well as me. Can you reproduce the crash using the steps in comment 13? If so, perhaps your usage pattern is sufficiently different than mine, which is why you haven't yet encountered this issue. If this is the case we should consider whether your usage pattern is actually more widespread than mine and factor that into the block decision.
Comment 72 dodgyville+bugzilla 2012-07-12 17:16:49 PDT
This change has removed the store option for at least 80,000 people with upgraded Desires perfectly capable of running firefox. http://www.phonearena.com/news/CyanogenMod-now-on-over-1-million-devices_id25843

Also, in answer to Lawrence, the last officially supported version of Android on the Desire is 2.3, not 2.2.
Comment 73 Lawrence Mandel [:lmandel] (use needinfo) 2012-07-12 18:46:31 PDT
(In reply to dodgyville+bugzilla from comment #72)
> This change has removed the store option for at least 80,000 people with
> upgraded Desires perfectly capable of running firefox.
> http://www.phonearena.com/news/CyanogenMod-now-on-over-1-million-
> devices_id25843

This is interesting data. I would like to see more of this type of information in the hope that we can get to a cumulative total of updated devices that is great enough to make the case to enable Firefox for the HTC Desire. (FWIW, I do want to enable Firefox on Android for the HTC Desire. The data that I've seen still shows that the vast majority of users will be on Android 2.2, which in my experience has a major issue. See comment 59 for a different/better experience on the same Android version.) Some other information to round this out:

80,000 / 6,000,000 devices in use = ~1.33% of the devices in use

The article cited is also from Jan. 2012. Unless I'm misreading something, clicking through to the referenced data at http://stats.cyanogenmod.com/ and looking at installs by device shows that the current total of HTC Desire phones with CyanogenMod is currently in the neighbourhood of 4,000.

> 
> Also, in answer to Lawrence, the last officially supported version of
> Android on the Desire is 2.3, not 2.2.

Citing wikipedia [1] (dangerous, I know) "The update was finally released for download from HTC's developer website on 1 August 2011, and is not available as an over-the-air update." See comment 69 for more details.

In fact, a visit to the HTC developer website [2] shows that the latest version for all HTC Desire phones listed (plain Desire, not HD, S, etc.) is Android v2.2.

Irina - Perhaps there is a more definitive way to get data about the version of Android in use on this device. Does Google or HTC have this data?

[1]http://en.wikipedia.org/wiki/HTC_Desire#Software
[2]http://htcdev.com/devcenter/downloads
Comment 74 Alexander L. Slovesnik 2012-07-12 19:05:37 PDT
(In reply to Lawrence Mandel [:lmandel] from comment #73)
> The article cited is also from Jan. 2012. Unless I'm misreading something,
> clicking through to the referenced data at http://stats.cyanogenmod.com/ and
> looking at installs by device shows that the current total of HTC Desire
> phones with CyanogenMod is currently in the neighbourhood of 4,000.
According to http://stats.cyanogenmod.com/ there are 125,968 installs for bravo	(HTC Desire GSM) and 4,187 for bravoc (HTC Desire CDMA).
Comment 75 Lawrence Mandel [:lmandel] (use needinfo) 2012-07-12 19:12:31 PDT
(In reply to Alexander L. Slovesnik from comment #74)
> (In reply to Lawrence Mandel [:lmandel] from comment #73)
> > The article cited is also from Jan. 2012. Unless I'm misreading something,
> > clicking through to the referenced data at http://stats.cyanogenmod.com/ and
> > looking at installs by device shows that the current total of HTC Desire
> > phones with CyanogenMod is currently in the neighbourhood of 4,000.
> According to http://stats.cyanogenmod.com/ there are 125,968 installs for
> bravo	(HTC Desire GSM) and 4,187 for bravoc (HTC Desire CDMA).

That makes more sense. Thanks for the clarification. So the total is actually >2% of HTC Desire phones that have Cyanogenmod at this point according to these stats.
Comment 76 Alexander L. Slovesnik 2012-07-12 19:29:43 PDT
(In reply to Lawrence Mandel [:lmandel] from comment #73)
> In fact, a visit to the HTC developer website [2] shows that the latest
> version for all HTC Desire phones listed (plain Desire, not HD, S, etc.) is
> Android v2.2.
In order to download Android v2.3 for HTC Desire you should open http://htcdev.com/devcenter/downloads, select "Other" option (don't select "Kernel Source Code" or "All") and press "Find Files". It's called "RUU Upgrade" and its size - 161.0 MB.
Comment 77 Irina Sandu 2012-07-13 07:39:11 PDT
> 
> Irina - Perhaps there is a more definitive way to get data about the version
> of Android in use on this device. Does Google or HTC have this data?
>

They probably have it, but not making it available anywhere. We can make some assumptions based on the overall Android version distribution in market and the time when the Gingerbread update started becoming available. Given that Froyo is 17% of the whole market and that the update for the Desire HD was made available a relatively long time ago, we can safely say that a significant portion of the units in market are on Gingerbread, if not the majority. 

The Desire HD did receive an OTA update to Gingerbread, I got it on mine which I bought in France and it's confirmed here http://www.engadget.com/2011/05/04/htc-starts-ota-gingerbread-updates-for-desire-hd-and-incredible/ . 

So if I had to put a number on it I would say it's 60% Gingerbread and 40% Froyo (there might be some ICS, but not a lot).
Comment 78 Lawrence Mandel [:lmandel] (use needinfo) 2012-07-13 07:50:40 PDT
Thanks for the estimates Irina. This specific bug is for the HTC Desire, not the Desire HD. Can you make a similar estimate for the HTC Desire?
Comment 79 Irina Sandu 2012-07-13 08:01:09 PDT
Oops.

For the Desire it looks indeed like there hasn't been an OTA update to Gingerbread. There has been one for Froyo, which means that probably the vast majority of the models are on it, also since Eclair is 4% of the overall market. So the Desire would be 70% on Froyo and 30% on Eclair (the amount of people to install Gingerbread from the website should be insignificant).
Comment 80 Kevin Brubeck Unhammer 2012-07-20 03:55:14 PDT
Just to add another datapoint: my HTC Desire with Cyanogenmod 7.2 runs Aurora (with Sync) flawlessly for my usage, no reboots/crashes. I hope Play adds some sort of OS filtering :-/
Comment 81 Alex Keybl [:akeybl] 2012-07-23 15:56:58 PDT
(In reply to Kevin Brubeck Unhammer from comment #80)
> Just to add another datapoint: my HTC Desire with Cyanogenmod 7.2 runs
> Aurora (with Sync) flawlessly for my usage, no reboots/crashes. I hope Play
> adds some sort of OS filtering :-/

Please consider using Aurora/Nightly, since they aren't distributed through the Play Store and have their own update mechanism.
Comment 82 Alex Keybl [:akeybl] 2012-07-23 16:00:37 PDT
^ the above was a note to other Desire users reading this bug, although poorly worded.
Comment 83 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-22 09:05:02 PDT
Bumping up tracking to 16 here in case we can get some cycles to continue investigation here in the coming weeks.  Jeff is there anything that can help here?
Comment 84 Alex Keybl [:akeybl] 2012-08-22 16:15:28 PDT
Until the stats in Comment 79 change, this is an Android 2.2 OS bug and doesn't have further action on our part.
Comment 85 Adrian Tamas (:AdrianT) 2012-09-04 23:34:23 PDT
This is still and issue on Firefox Mobile 16 beta 2 on HTC Desire (Android 2.2)
Comment 86 Aaron Train [:aaronmt] 2012-10-24 09:12:49 PDT
Any plans to support one of the most popular phones out there?

Note You need to log in before you can comment on or make changes to this bug.